SDL_ControllerTouchpadEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Sint32 | touchpad
Sint32 | finger
float | x
float | y
float | pressure

## Detailed Description

Game controller touchpad event structure (event.ctouchpad.*)

Definition at line 490 of file SDL_events.h.

## Field Documentation

## finger

Sint32 SDL_ControllerTouchpadEvent::finger

The index of the finger on the touchpad

Definition at line 496 of file SDL_events.h.

## pressure

float SDL_ControllerTouchpadEvent::pressure

Normalized in the range 0...1

Definition at line 499 of file SDL_events.h.

## timestamp

Uint32 SDL_ControllerTouchpadEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 493 of file SDL_events.h.

## touchpad

Sint32 SDL_ControllerTouchpadEvent::touchpad

The index of the touchpad

Definition at line 495 of file SDL_events.h.

## type

Uint32 SDL_ControllerTouchpadEvent::type

SDL_CONTROLLERTOUCHPADDOWN or SDL_CONTROLLERTOUCHPADMOTION or SDL_CONTROLLERTOUCHPADUP

Definition at line 492 of file SDL_events.h.

## which

SDL_JoystickID SDL_ControllerTouchpadEvent::which

The joystick instance id

Definition at line 494 of file SDL_events.h.

## x

float SDL_ControllerTouchpadEvent::x

Normalized in the range 0...1 with 0 being on the left

Definition at line 497 of file SDL_events.h.

## y

float SDL_ControllerTouchpadEvent::y

Normalized in the range 0...1 with 0 being at the top

Definition at line 498 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h